SoSeparatorKit(3)

NAME
SoSeparatorKit - The SoSeparatorKit class provides a typical set of nodes to influence a shape subgraph.

SYNOPSIS

#include <Inventor/nodekits/SoSeparatorKit.h>

Inherits SoBaseKit.

Inherited by SoShapeKit, and SoWrapperKit.

  Public Types
enum CacheEnabled { OFF, ON, AUTO }

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const
SoSeparatorKit (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)

  Public Attributes
SoSFEnum renderCaching
SoSFEnum boundingBoxCaching
SoSFEnum renderCulling
SoSFEnum pickCulling

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoSeparatorKit ()
virtual void setDefaultOnNonWritingFields (void)
virtual SbBool setUpConnections (SbBool onoff, SbBool doitalways=FALSE)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)

  Protected Attributes
SoSFNode appearance
SoSFNode childList
SoSFNode pickStyle
SoSFNode texture2Transform
SoSFNode topSeparator
SoSFNode transform
SoSFNode units

  Additional Inherited Members

Detailed Description

The SoSeparatorKit class provides a typical set of nodes to influence a shape subgraph. Nodekit structure (new entries versus parent class marked with arrow prefix):

CLASS SoSeparatorKit
-->'this'
      'callbackList'
-->   'topSeparator'
-->      'pickStyle'
-->      'appearance'
-->      'units'
-->      'transform'
-->      'texture2Transform'
-->      'childList'

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

CLASS SoSeparatorKit
PVT   'this',  SoSeparatorKit  ---
      'callbackList',  SoNodeKitListPart [ SoCallback, SoEventCallback ]
PVT   'topSeparator',  SoSeparator  ---
      'pickStyle',  SoPickStyle  ---
      'appearance',  SoAppearanceKit  ---
      'units',  SoUnits  ---
      'transform',  SoTransform  ---
      'texture2Transform',  SoTexture2Transform  ---
      'childList',  SoNodeKitListPart [ SoShapeKit, SoSeparatorKit ]

(See SoBaseKit::printTable() for information about the output formatting.)

Member Enumeration Documentation

  enum SoSeparatorKit::CacheEnabled
Contains the same values with the same semantics as in the enum with the same name in SoSeparator. See documentation of SoSeparator::CacheEnabled.

Constructor & Destructor Documentation

  SoSeparatorKit::SoSeparatorKit (void)
Constructor.

  SoSeparatorKit::~SoSeparatorKit () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoSeparatorKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSeparatorKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoBaseKit.

Reimplemented in SoShapeKit, and SoWrapperKit.

  const SoFieldData ** SoSeparatorKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoSeparatorKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoBaseKit.

Reimplemented in SoShapeKit, and SoWrapperKit.

  const SoNodekitCatalog * SoSeparatorKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoSeparatorKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoBaseKit.

Reimplemented in SoShapeKit, and SoWrapperKit.

  const SoNodekitCatalog ** SoSeparatorKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

  void SoSeparatorKit::initClass (void) [static]
Does initialization common for all objects of the SoSeparatorKit class. This includes setting up the type system, among other things.

  void SoSeparatorKit::setDefaultOnNonWritingFields (void) [protected], [virtual]
(Be aware that this method is unlikely to be of interest to the application programmer who does not want to extend the library with new custom nodekits or draggers. If you indeed are writing extensions, see the information in the SoBaseKit class documentation.)

This is a virtual method, and the code in it should call SoField::setDefault() with argument TRUE on part fields that should not be written upon scene graph export operations.

This is typically done when:

1.  field value is NULL and part is NULL by default
2.  it is a leaf SoGroup or SoSeparator node with no children
3.  it is a leaf listpart with no children and an SoGroup or SoSeparator container
4.  it is a non-leaf part and it is of SoGroup type and all fields are at their default values
Subclasses should usually override this to do additional settings for new member fields. From the subclass, do remember to call 'upwards' to your superclass' setDefaultOnNonWritingFields() method.
Reimplemented from SoBaseKit.
Reimplemented in SoShapeKit.

  SbBool SoSeparatorKit::setUpConnections (SbBool onoff, SbBool doitalways = FALSE) [protected], [virtual]
Sets up all internal connections for instances of this class.
(This method will usually not be of interest to the application programmer, unless you want to extend the library with new custom nodekits or dragger classes. If so, see the SoBaseKit class documentation.)
Reimplemented from SoBaseKit.

Member Data Documentation

  SoSFEnum SoSeparatorKit::renderCaching
See documentation for SoSeparator::renderCaching.

  SoSFEnum SoSeparatorKit::boundingBoxCaching
See documentation for SoSeparator::boundingBoxCaching.

  SoSFEnum SoSeparatorKit::renderCulling
See documentation for SoSeparator::renderCulling.

  SoSFEnum SoSeparatorKit::pickCulling
See documentation for SoSeparator::pickCulling.

Author
Generated automatically by Doxygen for Coin from the source code.